UI::Util::ForkThread Class Reference

Simple encapsulation of fork(2) using common thread syntax. More...

`#include <Thread.hpp>`

Inheritance diagram for UI::Util::ForkThread:
Collaboration diagram for UI::Util::ForkThread:

## Public Member Functions

void | start ()
| Spawn thread.
Public Member Functions inherited from UI::Util::ProcessThread
bool | isRunning ()
pid_t | getPID () const
| Get PID of running "thread".
int | wait ()
| Wait for this "thread", and return the process' exit status.
int | getStatus () const
| Get status of last run.

## Additional Inherited Members

Public Types inherited from UI::Util::ProcessThread
enum | ReservedStatus { NotRunYet_ = 255 , Running_ = 254 , WaitpidErr_ = 253 , KilledByUncatchedSignal_ = 252 }
| Reserved exit status'. Do not use these as return codes in your run()-functions. More...
Protected Member Functions inherited from UI::Util::ProcessThread
virtual int | run ()=0
Protected Attributes inherited from UI::Util::ProcessThread
pid_t | pid_
int | status_

## Detailed Description

Simple encapsulation of fork(2) using common thread syntax.

Attention
  This is not threading – i.e. the "thread" does not share any execution context with its caller; it just uses "common thread class nomenclature", hence the name.

## Member Function Documentation

## start()

void UI::Util::ForkThread::start | ( |  | ) |

virtual

Spawn thread.

Implements UI::Util::ProcessThread.

References UI::Util::ProcessThread::pid_, UI::Util::ProcessThread::run(), start(), and UI::Util::ProcessThread::status_.

Referenced by start().

The documentation for this class was generated from the following files:

- Thread.hpp
- Thread.cpp